package guru.kake.ronove

import javafx.beans.property.ReadOnlyObjectProperty
import tornadofx.*

/**
 * Main class for the Ronove application
 */
class Ronove: App(MainView::class, RonoveStylesheet::class) {
    /** Current project data */
    var project = Project()
    /** Property for listening to changes on selected table view cell */
    var cellSelection: ReadOnlyObjectProperty<Line>? = null
}

/** Program main */
fun main(args: Array<String>) {
    launch<Ronove>(args)
}

